Summary:	X.org video driver for SiS and XGI video chips
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych SiS i XGI
Name:		xorg-driver-video-sis
Version:	0.10.8
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-sis-%{version}.tar.bz2
# Source0-md5:	c173c4ce572eb19db5dfdc8a858c6c67
Patch0:		%{name}-x32.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.12.901
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86dgaproto-devel >= 2.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-lib-libpciaccess >= 0.12.901
Requires:	xorg-xserver-libdri >= 1.0.99.901
Requires:	xorg-xserver-libglx >= 1.0.99.901
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-sis < 1:7.0.0
Obsoletes:	XFree86-SiS
Obsoletes:	XFree86-driver-sis < 1:7.0.0
Obsoletes:	XFree86-driver-xgi < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for SiS and XGI video chips. It supports PCI, AGP
and PCIe video cards based on the following chipsets: SiS5597/5598,
SiS530/620, SiS6326/AGP/DVD (called old series), SiS300/305, SiS540,
SiS630/730 (called 300 series), SiS315/E/H/PRO, SiS550/551/552,
SiS650/651/661/741, SiS330 (Xabre), SiS760/761, XGI Volari V3/V5/V8,
XGI Volari Z7 (called 315/330/340 series).

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych SiS i XGI. Obsługuje
karty PCI, AGP i PCIe oparte na następujących układach: SiS5597/5598,
SiS530/620, SiS6326/AGP/DVD (zwanych starą serią), SiS300/305, SiS540,
SiS630/730 (zwanych serią 300), SiS315/E/H/PRO, SiS550/551/552,
SiS650/651/661/741, SiS330 (Xabre), SiS760/761, XGI Volari V3/V5/V8,
XGI Volari Z7 (zwanych serią 315/330/340).

%prep
%setup -q -n xf86-video-sis-%{version}
%patch0 -p1

# https://bugs.freedesktop.org/show_bug.cgi?id=18304
# (not used anyway when xserver uses libpciaccess)
sed -i -e 's|#define.*SIS_USE_BIOS_SCRATCH.*|#undef SIS_USE_BIOS_SCRATCH|g' src/sis.h

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/sis_drv.so
%{_mandir}/man4/sis.4*
%changelog
* Sun Sep 06 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-sis.git;a=log;h=master

* Sun Sep 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 512be1d
- added x32 patch, release 2

* Sun Sep 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 3db266a
- updated to 0.10.8
- removed obsolete sis-git,format-security patches

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a177e07
- due to xserver 1.17
- release 8 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 53b4b15
- xserver rebuild
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f4e882
- xserver rebuild
- release 6 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 373c2f2
- release 5 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 8264d52
- updates/fixes from upstream
- rel 4

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 19ae850
- fix errors caused by -format-security gcc option

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> afbf452
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b0ec689
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> b64113b
- updated to 0.10.7

* Mon Jul 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 611dde1
- updated to 0.10.6

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 7bf80f2
- updated to 0.10.4

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 31875b1
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> e2e2955
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f8a5f2
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> a29c44e
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 5db5ce8
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d7197d
- up to 0.10.3

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7653447
- release 4

